### Method

# Gio SettingsSchema get_key

since: 2.40

#### Declaration [src]

    GSettingsSchemaKey*
    g_settings_schema_get_key (
      GSettingsSchema* schema,
      const gchar* name
    )

#### Description [src]

Gets the key named `name` from `schema`.

It is a programmer error to request a key that does not exist. See g_settings_schema_list_keys().

Available since: 2.40

#### Parameters

`name`

  Type: `const gchar*`

  The name of a key.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GSettingsSchemaKey`

The `GSettingsSchemaKey` for `name`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.